- HTTP request
- Path parameters
- Query parameters
- Request body
- Response body
- Authorization scopes
- Try it!
Updates an ad asset.
Returns the updated ad asset if successful.
Supports updating assets of AdAssetType AD_ASSET_TYPE_YOUTUBE_VIDEO and AD_ASSET_TYPE_IMAGE. Only the AdAsset.synthetic_content_attestation_status field is mutable.
HTTP request
PATCH https://displayvideo.googleapis.com/v4/advertisers/{advertiserId}/adAssets/{adAsset.adAssetId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser this ad asset belongs to. |
adAsset.adAssetId |
Output only. The ID of the ad asset. Referred to as the asset ID when assigned to an ad. |
Query parameters
| Parameters | |
|---|---|
updateMask |
Required. The list of fields to update. Only This is a comma-separated list of fully qualified names of fields. Example: |
Request body
The request body contains an instance of AdAsset.
Response body
If successful, the response body contains an instance of AdAsset.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.